#include <iostream>
#include <math.h>
#include "GnuP.h"

using namespace std;

double f(double x, int a, string b)
{
	return b.size()*sin(x*a)/x;
}

int main()
{
    double x[100];
    for (int i=0; i<100; i++)
        x[i] = (i-50)/10.10;
    string b = "GnuP";
    GnuP p;
    p.plotFuncArg2(100,x,f,3,b,3,4,9,"My function");
    p.plot();
    return 0;
}
